Subject: Re: [PATCH v5 3/4] status: give more information during rebase -i

From: Junio C Hamano <[email-masked]>
Date: Fri, 03 Jul 2015 10:40:52 -0700

Matthieu Moy <[email-masked]> writes:

> I would agree with "more strict" is it was about rejecting the input (to
> catch errors), but here we're still accepting it without complaining

Yes, by "more strict", I meant that I would prefer to keep things we
do not understand as intact as possible, while transforming what we
do understand into whatever shape we deem appropriate.

> Actually, there's a hidden benefit in accepting not-well-formatted
> input: it mimicks the shell equivalent closer, which means that we're
> close to replacing the shell's collapse_todo_ids and expand_todo_ids in
> C which would avoid C/shell duplication.

;-)

But as I said above, that is a mere "would prefer" preference, so I
can go either way.